var defaultOpts = { interval: 5000, fadeInTime: 500, fadeOutTime: 200 };
var _titles = $("ul.slideTxt li");
var _titles_bg = $("ul.slideop li");
var _bodies = $("ul.slidePic li");
var _count = _titles.length;
var _current = 0;
var _intervalID = null;
var stop = function() { window.clearInterval(_intervalID);};
var slide = function(opts){
	if (opts) {
		_current = opts.current || 0;
	} else {
		_current = (_current >= (_count - 1)) ? 0 : (++_current);
	};
	_bodies.filter(":visible").fadeOut(defaultOpts.fadeOutTime, function() {
		$(".ShowBigPic").height((_bodies.eq(_current).height()));
		_bodies.eq(_current).fadeIn(defaultOpts.fadeInTime);
		_bodies.removeClass("cur").eq(_current).addClass("cur");
	});
	_titles.removeClass("cur").eq(_current).addClass("cur");
	_titles_bg.removeClass("cur").eq(_current).addClass("cur");	
	if(_current%7 == 0){
		$(".slideTxt li").hide();
		for(var i=_current;i<_current+7;i++){
			$(".slideTxt li:eq("+i+")").show();
		}
	}
};
var go = function() {
	stop();
	_intervalID = window.setInterval(function() { slide();}, defaultOpts.interval);
}; 
var itemMouseOver = function(target, items) {
	stop();
	var i = $.inArray(target, items);
	slide({ current: i });
};
_titles.hover(function() { if($(this).attr('class')!='cur'){itemMouseOver(this, _titles);}else{stop();}}, go);
_titles_bg.hover(function() { itemMouseOver(this, _titles_bg);}, go);
_bodies.hover(stop, go);
go();
function up_show_pic(){
	if(_current == 0){	
		slide({ current: _count-1 });
	}
	else{
		slide({ current: _current-1 });
	}
	if(_current%7 == 6){
		$(".slideTxt li").hide();
		for(var i=_current-6;i<=_current;i++){
			$(".slideTxt li:eq("+i+")").show();
		}
	}
}
function down_show_pic(){
	if(_current >= _count-1)	_current=0;
	else _current+=1;
	slide({ current: _current });
	if(_current%7 == 0){
		$(".slideTxt li").hide();
		for(var i=_current;i<_current+7;i++){
			$(".slideTxt li:eq("+i+")").show();
		}
	}
}
$(".slidePic img").each(function(){
	var picwidth=$(this).width();
	if(picwidth>790){
		$(this).css("width","960px");
	}
});
slide({ current:0});
$(".ShowBigPic div").hover(
	function(){
		var max_height=$(".ShowBigPic").height();
		$(this).height(max_height);
		var bg_position=Math.floor(max_height/2)-50;
		$(this).css("background-position","center "+bg_position+"px");
	},
	function(){
		$(this).css("background-position","-150px -150px");
	}
);
$(".ListMorePic .back").hover(function(){$(this).addClass("hover")},function(){$(this).removeClass("hover")});
$(".ListMorePic .next").hover(function(){$(this).addClass("hover")},function(){$(this).removeClass("hover")});
$(".ListMorePic .Up_atc").hover(function(){$(this).addClass("hover")},function(){$(this).removeClass("hover")});
$(".ListMorePic .Down_atc").hover(function(){$(this).addClass("hover")},function(){$(this).removeClass("hover")});